import datetime
import os
import time

import schedule
from loguru import logger
from common.redis import  insert_carry_data

ENV = os.getenv('ENV', 'dev')
FS_SHEET = os.getenv('FS_SHEET')
NAME = os.getenv('NAME')
REDIS_NAME = os.getenv('REDIS_NAME')

def bot_carry_data():
    try:
        dt = int(datetime.datetime.now().strftime('%Y%m%d%H'))
        logger.info(f"[+] 开始获取{NAME},时区为{dt}")
        count = insert_carry_data(dt, REDIS_NAME,FS_SHEET, NAME)
        logger.info(f"[+] {NAME},时区为{dt}共获取{count}条")

    except Exception as e:
        logger.error(f"[+] 获取{NAME},时区为{dt}失败，失败信息{e}")




def schedule_tasks():
    schedule.every().hour.at(":05").do(bot_carry_data)


if __name__ == "__main__":
    schedule_tasks()  # 调用任务调度函数
    while True:
        schedule.run_pending()
        time.sleep(1)  # 每秒钟检查一次
    # bot_carry_data()

